> ## Documentation Index
> Fetch the complete documentation index at: https://upstash-dx-2913.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume Workflow from DLQ



## OpenAPI

````yaml /workflow/openapi.yaml post /v2/workflows/dlq/resume/{dlqId}
openapi: 3.1.0
info:
  title: Upstash Workflow REST API
  description: >
    Upstash Workflow is a serverless workflow orchestration service built on top
    of Upstash QStash and Upstash Redis.
  version: 2.0.0
  contact:
    name: Upstash
    url: https://upstash.com
servers:
  - url: https://qstash-{region}.upstash.io
    description: Regional
    variables:
      region:
        default: eu-central-1
        enum:
          - us-east-1
          - eu-central-1
security:
  - bearerAuth: []
  - bearerAuthQuery: []
paths:
  /v2/workflows/dlq/resume/{dlqId}:
    post:
      tags:
        - DLQ
      summary: Resume Workflow from DLQ
      parameters:
        - in: path
          name: dlqId
          required: true
          schema:
            type: string
          description: The DLQ ID of the workflow run to resume.
        - in: header
          name: Upstash-Retries
          required: false
          schema:
            type: integer
          description: Override the number of retries for the remaining workflow steps.
        - in: header
          name: Upstash-Delay
          required: false
          schema:
            type: string
          description: >-
            Override the delay before executing the next workflow step. Format
            is `<value><unit>` (e.g., "10s", "5m").
        - in: header
          name: Upstash-Retry-Delay
          required: false
          schema:
            type: string
          description: >-
            Override the retry delay expression for the remaining workflow
            steps.
        - in: header
          name: Upstash-Flow-Control-Key
          required: false
          schema:
            type: string
          description: Override the flow control key for the remaining workflow steps.
        - in: header
          name: Upstash-Flow-Control-Value
          required: false
          schema:
            type: string
          description: >-
            Override the flow control configuration in the format
            `parallelism=<value>, rate=<value>, period=<value>`.
        - in: header
          name: Upstash-Label
          required: false
          schema:
            type: string
          description: |
            Override the label(s) for the remaining workflow steps.

            You can assign multiple labels by providing a comma-separated list.

            Example: `label_1,label_2`
        - in: header
          name: Upstash-Failure-Callback
          required: false
          schema:
            type: string
          description: Override the failure callback URL for the remaining workflow steps.
      responses:
        '200':
          description: Workflow resumed successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  workflowRunId:
                    type: string
                    description: >-
                      The ID of the resumed workflow run (a new ID is generated
                      for the resumed run).
                  workflowCreatedAt:
                    type: integer
                    format: int64
                    description: >-
                      The timestamp when the resumed workflow run was created
                      (Unix timestamp in milliseconds).
        '400':
          description: >-
            Bad Request - Invalid DLQ ID, not a workflow message, or workflow
            doesn't support resume
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: DLQ message not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: QStash authentication token
    bearerAuthQuery:
      type: apiKey
      in: query
      name: qstash_token
      description: QStash authentication token passed as a query parameter

````